%global __strip %{mingw_strip}
%global __objdump %{mingw_objdump}
%global _use_internal_dependency_generator 0
%global __find_requires %{mingw_findrequires}
%global __find_provides %{mingw_findprovides}
%define __debug_install_post %{mingw_debug_install_post}

%global mingw_pkg_name libvorbis
%global mingw_build_win32 1
%global mingw_build_win64 1

Name:		mingw-libvorbis
Version:	1.3.2
Release: 	1%{?dist}
Summary:	Cross compiled Vorbis General Audio Compression Codec

Group:		System Environment/Libraries
License:	BSD
URL:		http://www.xiph.org/
Source:		http://downloads.xiph.org/releases/vorbis/libvorbis-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Patch2:		libvorbis-1.2.3-add-needed.patch

BuildArch:      noarch

BuildRequires:  mingw-filesystem >= 65
BuildRequires:  mingw32-gcc
BuildRequires:  mingw64-gcc
BuildRequires:  mingw32-libogg
BuildRequires:  mingw64-libogg

%{?mingw_default_requires}
%{?mingw_debug_package}

%description
Vorbis is a fully open, nonproprietary, patent-and-royalty-free, and
general-purpose compressed audio format for audio and music at fixed
and variable bit rates from 16 to 128 kbps/channel.

The native bitstream format of Vorbis is libogg (Ogg). Alternatively,
libmatroska (matroska) can also be used.


# Mingw32
%package -n mingw32-%{mingw_pkg_name}
Summary:        %{summary}

%description -n mingw32-%{mingw_pkg_name}
Vorbis is a fully open, nonproprietary, patent-and-royalty-free, and
general-purpose compressed audio format for audio and music at fixed
and variable bit rates from 16 to 128 kbps/channel.

The native bitstream format of Vorbis is libogg (Ogg). Alternatively,
libmatroska (matroska) can also be used.

# Mingw64
%package -n mingw64-%{mingw_pkg_name}
Summary:        %{summary}

%description -n mingw64-%{mingw_pkg_name}
Vorbis is a fully open, nonproprietary, patent-and-royalty-free, and
general-purpose compressed audio format for audio and music at fixed
and variable bit rates from 16 to 128 kbps/channel.

The native bitstream format of Vorbis is libogg (Ogg). Alternatively,
libmatroska (matroska) can also be used.


%prep
%setup -q -n libvorbis-%{version}
%patch2 -p1

%build
#echo "lt_cv_deplibs_check_method='pass_all'" >> %{mingw32_cache}
%mingw_configure "--with-ogg-libraries=%{_libdir}" "--enable-shared" "--disable-static"
%mingw_make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
%mingw_make_install DESTDIR=$RPM_BUILD_ROOT
rm -rf $RPM_BUILD_ROOT/%{mingw32_datadir}/doc/libvorbis-%{version} $RPM_BUILD_ROOT/%{mingw64_datadir}/doc/libvorbis-%{version}

%clean
rm -rf $RPM_BUILD_ROOT


# Mingw32
%files -n mingw32-%{mingw_pkg_name}
%defattr(-,root,root)
%{mingw32_bindir}/libvorbisenc-2.dll
%{mingw32_bindir}/libvorbisfile-3.dll
%{mingw32_bindir}/libvorbis-0.dll

%{mingw32_includedir}/vorbis
%{mingw32_libdir}/libvorbis.dll.a
%{mingw32_libdir}/libvorbisfile.dll.a
%{mingw32_libdir}/libvorbisenc.dll.a
%{mingw32_libdir}/libvorbis.la
%{mingw32_libdir}/libvorbisenc.la
%{mingw32_libdir}/libvorbisfile.la
%{mingw32_libdir}/pkgconfig/vorbisfile.pc
%{mingw32_libdir}/pkgconfig/vorbisenc.pc
%{mingw32_libdir}/pkgconfig/vorbis.pc
%{mingw32_datadir}/aclocal/vorbis.m4

# Mingw64
%files -n mingw64-%{mingw_pkg_name}
%defattr(-,root,root)
%{mingw64_bindir}/libvorbisenc-2.dll
%{mingw64_bindir}/libvorbisfile-3.dll
%{mingw64_bindir}/libvorbis-0.dll

%{mingw64_includedir}/vorbis
%{mingw64_libdir}/libvorbis.dll.a
%{mingw64_libdir}/libvorbisfile.dll.a
%{mingw64_libdir}/libvorbisenc.dll.a
%{mingw64_libdir}/libvorbis.la
%{mingw64_libdir}/libvorbisenc.la
%{mingw64_libdir}/libvorbisfile.la
%{mingw64_libdir}/pkgconfig/vorbisfile.pc
%{mingw64_libdir}/pkgconfig/vorbisenc.pc
%{mingw64_libdir}/pkgconfig/vorbis.pc
%{mingw64_datadir}/aclocal/vorbis.m4


%changelog
* Fri May 13 2011 - Marc-André Lureau <marcandre.lureau@redhat.com> - 1.3.2-1
- Updated to 1.3.2
- Updated to newer mingw instructions (with mingw64 support)

* Wed Dec 29 2010 - Marc-André Lureau <marcandre.lureau@redhat.com> - 1.3.1-1
- Initial mingw32-libvorbis 1.3.1 windows build.
- Package initially based on previous Fedora package.


